Skip to main content
GET
/
s3
/
object
/
{id}
Get a S3 object by its ID
curl --request GET \
  --url https://api.example.com/s3/object/{id}
import requests

url = "https://api.example.com/s3/object/{id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/s3/object/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "url": "<string>",
  "key": "test.png",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "mimeType": "image/png",
  "size": 1024
}

Path Parameters

id
string
required

Response

200 - application/json

Returns a S3 object by its ID

id
string
required

The ID of the object

Example:

"123e4567-e89b-12d3-a456-426614174000"

url
string
required

Presigned URL of the object

key
string
required

The key of the object

Example:

"test.png"

createdAt
string<date-time>
required

The tenant ID of the object

updatedAt
string<date-time>
required

The updated at date of the object

mimeType
string

The MIME type of the object

Example:

"image/png"

size
number

The size of the object

Example:

1024